Subject: bug#41234: 27.0.91; Synchronous network requests are failing with “Name or service not known”

From: Dmitry Alexandrov <[email-masked]>
Date: Wed, 13 May 2020 15:42:04 +0300

Dear maintainers,

Iʼm not sure whether that a bugreport or a support request, I hope you will excuse me for opting for the former.

Basically, I have an instance of Emacs 27 — rev. aea1b4db72 — a head of emacs-27 from about two weeks ago, which, have been running for that time, is failing to resolve any remote hostname synchronously (which, for instance, Gnus normally does), while asynchronous requests (as in ‘url-retrieve’) are still working fine.

A newly started instance of the same Emacs does not demonstrate the issue.  And alas, despite being almost convinced, that I had already met this problem before, I cannot say how exactly to reproduce it.

However, I suppose, the fact, that this is by no means a pristine configuration is not much relevant, since the error goes down to C sources, namely to ‘make-network-process’:

	(make-network-process :name " *net-test*"
						  :buffer (get-buffer-create " *net-test*")
						  :host "gnu.org" :service 80
						  :nowait nil)
	;; Debugger entered--Lisp error: (error "gnu.org/80 Name or service not known")

More specifically, a call to getaddrinfo() in ‘network_lookup_address_info_1’ returns EAI_NONAME.

Could it be a problem in GNU Emacs, or have I broken my system somehow?

-- 
In GNU Emacs 27.0.91 (build 2, x86_64-pc-linux-gnu)
 of 2020-04-30 built on nora
Repository revision: aea1b4db72df92595a3f642d18bf57254d74772b
Repository branch: emacs-27-nightly
System Description: Debian GNU/Linux 10 (buster)

Configured using:
 'configure --with-x-toolkit=no'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB OLDXMENU X11 XDBE XIM MODULES THREADS LIBSYSTEMD PDUMPER LCMS2 GMP